int MILL_SLOT_constructor_cb(int dialog_id, void *client_data,
             UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t constructor_data;

	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
/* Set default tool selection method */
	constructor_data.item_attr = UF_STYLER_VALUE;
	constructor_data.item_id = MILL_SLOT_TOOL_TYPE;
	constructor_data.subitem_index = 1;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
/* Set default tool number 1 */
	constructor_data.item_attr = UF_STYLER_VALUE;
	constructor_data.item_id = MILL_SLOT_NUMBER_4;
	constructor_data.value.integer = 1;
	tool_number = constructor_data.value.integer;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
/* Set default adj register 1 */
	constructor_data.item_attr = UF_STYLER_VALUE;
	constructor_data.item_id = MILL_SLOT_ADJUST_REGISTER_5;
	constructor_data.value.integer = 1;
	tool_adj_reg = constructor_data.value.integer;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
/* Set default cutcom register 1 */
	constructor_data.item_attr = UF_STYLER_VALUE;
	constructor_data.item_id = MILL_SLOT_CUTCOM_REGISTER_8;
	constructor_data.value.integer = 1;
	tool_cutcom_reg = constructor_data.value.integer;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
/* Set default cut type 1 (Trochoida) */
	constructor_data.item_attr = UF_STYLER_VALUE;
	constructor_data.item_id = MILL_SLOT_CUT_TYPE_9;
	constructor_data.subitem_index = 1;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	constructor_data.item_id=MILL_SLOT_DIAMETER_1; 
	constructor_data.item_attr=UF_STYLER_VISIBILITY;
	constructor_data.value.integer=FALSE;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	constructor_data.item_id=MILL_SLOT_PERCENT_OF_TROCHOIDA_WIDTH; 
	constructor_data.item_attr=UF_STYLER_VALUE;
	constructor_data.value.real=90.0;
	irc = UF_STYLER_set_value(dialog_id, &constructor_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}

	UF_terminate();
	return (UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_ok_cb(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	MILL_SLOT_apply_cb(dialog_id, client_data, callback_data);
	UF_terminate();
    return(UF_UI_CB_EXIT_DIALOG);                           
}

int MILL_SLOT_apply_cb(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	MILL_SLOT_Tool_Creation_Type(dialog_id, client_data, callback_data);
	MILL_SLOT_percent_of_trochoida_width(dialog_id, client_data, callback_data);
	MILL_SLOT_Min_of_trochoida_width(dialog_id, client_data, callback_data);
	MILL_SLOT_tool_diameter(dialog_id, client_data, callback_data);
	MILL_SLOT_tool_length(dialog_id, client_data, callback_data);
	MILL_SLOT_tool_flute_length(dialog_id, client_data, callback_data);	
	MILL_SLOT_tool_number(dialog_id, client_data, callback_data);	
	MILL_SLOT_tool_adjust_register(dialog_id, client_data, callback_data);
	MILL_SLOT_tool_cutcom_register(dialog_id, client_data, callback_data);

	MILL_SLOT_operation_cut_type(dialog_id, client_data, callback_data);
	MILL_SLOT_Trochoida_direction(dialog_id, client_data, callback_data);
	MILL_SLOT_operation_min_clearance(dialog_id, client_data, callback_data);
	MILL_SLOT_operation_depth_per_cut(dialog_id, client_data, callback_data);
	MILL_SLOT_operation_part_stock(dialog_id, client_data, callback_data);
	MILL_SLOT_operation_trochoida_step(dialog_id, client_data, callback_data);
	MILL_SLOT_operation_trochoida_start_angle(dialog_id, client_data, callback_data);
	do_mill_slots_api();
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_cancel_cb(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	UF_terminate();
    return(UF_UI_CB_EXIT_DIALOG);                       
}

int MILL_SLOT_Tool_Creation_Type(int dialog_id, void *client_data,
             UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	UF_STYLER_item_value_type_t tool_selection_data;

	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_TOOL_TYPE;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_creation_method = feature_type_data.value.integer;
/* Manual = 0, Automatic = 1; */
	if(tool_creation_method == 0)
	{
		tool_selection_data.item_id=MILL_SLOT_PERCENT_OF_TROCHOIDA_WIDTH; 
		tool_selection_data.item_attr=UF_STYLER_VISIBILITY;
		tool_selection_data.value.integer=FALSE;
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		tool_selection_data.item_id=MILL_SLOT_MIN_OF_TROCHOIDA_WIDTH; 
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		tool_selection_data.item_id=MILL_SLOT_DIAMETER_1; 
		tool_selection_data.value.integer=TRUE;
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	else if(tool_creation_method == 1)
	{
		tool_selection_data.item_id=MILL_SLOT_PERCENT_OF_TROCHOIDA_WIDTH; 
		tool_selection_data.item_attr=UF_STYLER_VISIBILITY;
		tool_selection_data.value.integer=TRUE;
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		tool_selection_data.item_id=MILL_SLOT_MIN_OF_TROCHOIDA_WIDTH; 
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		tool_selection_data.item_id=MILL_SLOT_DIAMETER_1; 
		tool_selection_data.value.integer=FALSE;
		irc = UF_STYLER_set_value(dialog_id, &tool_selection_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	UF_terminate();
	return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_percent_of_trochoida_width(int dialog_id, void * client_data,
             UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_PERCENT_OF_TROCHOIDA_WIDTH;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	trochoida_width = feature_type_data.value.real/100.0;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_Min_of_trochoida_width(int dialog_id, void *client_data,
             UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_MIN_OF_TROCHOIDA_WIDTH;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	trochoida_width_min = feature_type_data.value.real/100.0;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_diameter(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;

	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_DIAMETER_1;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_diameter = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_length(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_LENGTH_2;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_heigth = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_flute_length(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_FLUTE_LENGTH_3;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_flute_ln = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_number(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_NUMBER_4;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_number = feature_type_data.value.integer;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_adjust_register(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_ADJUST_REGISTER_5;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_cutcom_reg = feature_type_data.value.integer;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_tool_cutcom_register(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_CUTCOM_REGISTER_8;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	tool_adj_reg = feature_type_data.value.integer;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_operation_cut_type(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_CUT_TYPE_9;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	cut_type = feature_type_data.value.integer;
/* Trochoida = 1, linear = 0 */
	if(cut_type == 0)
	{
		feature_type_data.item_id=MILL_SLOT_TROCHOIDA_STEP_16; 
		feature_type_data.item_attr=UF_STYLER_VISIBILITY;
		feature_type_data.value.integer=FALSE;
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		feature_type_data.item_id=MILL_SLOT_REAL_16; 
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	else if(cut_type == 1)
	{
		feature_type_data.item_id=MILL_SLOT_TROCHOIDA_STEP_16; 
		feature_type_data.item_attr=UF_STYLER_VISIBILITY;
		feature_type_data.value.integer=TRUE;
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
		feature_type_data.item_id=MILL_SLOT_REAL_16; 
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_Trochoida_direction(int dialog_id, void *client_data,
             UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);
	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_TROCHOIDA_DIRECTION;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	trochoida_dir = feature_type_data.value.integer;

	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}


int MILL_SLOT_operation_min_clearance(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_REAL_12;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	min_clr = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_operation_depth_per_cut(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_DEPTH_PER_CUT_12;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	depth_per_cut = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_operation_part_stock(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_PART_STOCK_15;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc)
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	stock = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG);
}

int MILL_SLOT_operation_trochoida_step(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_TROCHOIDA_STEP_16;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc)
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	step = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_operation_trochoida_start_angle(int dialog_id,
             void *client_data, UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_REAL_16;
	feature_type_data.indicator = UF_STYLER_REAL_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	start_angle = feature_type_data.value.real;
	UF_terminate();
    return(UF_UI_CB_CONTINUE_DIALOG); 
}

int MILL_SLOT_Operations_types(int dialog_id, void *client_data, 
							   UF_STYLER_item_value_type_p_t callback_data)
{
	int irc;
	UF_STYLER_item_value_type_t feature_type_data;
	if(UF_initialize() != 0) return(UF_UI_CB_CONTINUE_DIALOG);

	feature_type_data.item_attr = UF_STYLER_VALUE;
	feature_type_data.item_id = MILL_SLOT_CREATE_OPERATIONS;
	feature_type_data.indicator = UF_STYLER_INTEGER_VALUE;
	feature_type_data.count = 1;
	irc = UF_STYLER_ask_value(dialog_id, &feature_type_data);
	if(irc) 
	{
		get_error(irc);
		return(UF_UI_CB_EXIT_DIALOG);
	}
	operetion_types = feature_type_data.value.integer;
/* Rougth and finich = 0, Rougth only = 1, Finich only = 2 */
	if(operetion_types == 2)
	{
		feature_type_data.item_id=MILL_SLOT_PART_STOCK_15; 
		feature_type_data.item_attr=UF_STYLER_VISIBILITY;
		feature_type_data.value.integer=FALSE;
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	else
	{
		feature_type_data.item_id=MILL_SLOT_PART_STOCK_15; 
		feature_type_data.item_attr=UF_STYLER_VISIBILITY;
		feature_type_data.value.integer=TRUE;
		irc = UF_STYLER_set_value(dialog_id, &feature_type_data);
		if(irc) 
		{
			get_error(irc);
			return(UF_UI_CB_EXIT_DIALOG);
		}
	}
	UF_terminate();
	return(UF_UI_CB_CONTINUE_DIALOG); 
}
